Package org.apache.wiki.search

# Class SearchResultComparator

java.lang.Object
org.apache.wiki.search.SearchResultComparator

All Implemented Interfaces:
  `Serializable`, `Comparator<org.apache.wiki.api.search.SearchResult>`

public class SearchResultComparator extends Object implements Comparator<org.apache.wiki.api.search.SearchResult>, Serializable
Simple class that decides which search results are more important than others.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`SearchResultComparator()`

## Method Summary

Modifier and Type
Method
Description
`int`
`compare(org.apache.wiki.api.search.SearchResult s1, org.apache.wiki.api.search.SearchResult s2)`
Compares two SearchResult objects, returning the one that scored higher.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

## Constructor Details

### SearchResultComparator

public SearchResultComparator()

## Method Details

### compare

public int compare(org.apache.wiki.api.search.SearchResult s1, org.apache.wiki.api.search.SearchResult s2)
Compares two SearchResult objects, returning the one that scored higher.

Specified by:
  `compare` in interface `Comparator<org.apache.wiki.api.search.SearchResult>`